OpenTTD Source: src/newgrf_airport.cpp File Reference

OpenTTD Source 15.0-beta1

Functions | Variables
newgrf_airport.cpp File Reference

NewGRF handling of airports. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "timer/timer_game_calendar.h"`
`#include "newgrf_spritegroup.h"`
`#include "newgrf_text.h"`
`#include "station_base.h"`
`#include "newgrf_class_func.h"`
`#include "town.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
void | BindAirportSpecs ()
| Tie all airportspecs to their class.
SpriteID | GetCustomAirportSprite (const AirportSpec *as, uint8_t layout)
uint16_t | GetAirportCallback (CallbackID callback, uint32_t param1, uint32_t param2, Station *st, TileIndex tile)
StringID | GetAirportTextCallback (const AirportSpec *as, uint8_t layout, uint16_t callback)
| Get a custom text for the airport.

## Variables
AirportOverrideManager | _airport_mngr (NEW_AIRPORT_OFFSET, NUM_AIRPORTS, AT_INVALID)

## Detailed Description

NewGRF handling of airports.

Definition in file newgrf_airport.cpp.

## Function Documentation

## ◆ BindAirportSpecs()

void BindAirportSpecs | ( |  | ) |

Tie all airportspecs to their class.

Definition at line 124 of file newgrf_airport.cpp.

References NewGRFClass< Tspec, Tindex, Tmax >::Assign(), AirportSpec::enabled, AirportSpec::GetWithoutOverride(), and NUM_AIRPORTS.

Referenced by AfterLoadGRFs().

## ◆ GetAirportCallback()

uint16_t GetAirportCallback | ( | CallbackID | callback,
|  | uint32_t | param1,
|  | uint32_t | param2,
|  | Station * | st,
|  | TileIndex | tile
| ) |  |

Definition at line 261 of file newgrf_airport.cpp.

## ◆ GetAirportTextCallback()

StringID GetAirportTextCallback | ( | const AirportSpec * | as,
|  | uint8_t | layout,
|  | uint16_t | callback
| ) |  |

Get a custom text for the airport.

Parameters

  as | The airport type's specification.
  layout | The layout index.
  callback | The callback to call.

Returns
  The custom text.

Definition at line 274 of file newgrf_airport.cpp.

References CALLBACK_FAILED, ErrorUnknownCallbackResult(), GetGRFStringID(), AirportSpec::grf_prop, GRFFilePropsBase< Tcnt >::grfid, and INVALID_TILE.

Referenced by BuildAirportWindow::DrawWidget(), BuildAirportWindow::SetStringParameters(), and BuildAirportWindow::UpdateWidgetSize().

## ◆ GetCustomAirportSprite()

SpriteID GetCustomAirportSprite | ( | const AirportSpec * | as,
|  | uint8_t | layout
| ) |  |

Definition at line 252 of file newgrf_airport.cpp.